LINUX.ORG.RU

Issue with Intel HD Graphics 3000 on Debian 6.0.2


0

1

Доброго времени суток,

Помогите настроить Иксы и видеокарту Intel HD Graphics 3000 (лаптоп lenovo x220 TYPE 4290-P83) должным образом:

Google and ya.ru не могу найти решение данной проблемы

Проблема: после установки intel-овских драйверов с http://intellinuxgraphics.org и перехода с vesa, где проблем не было (кроме низкого разрешения. Cразу же хотелось бы уточнить, что вариант с vesa не подходит т.к. после правельной установки intel-овские драйвера должны выдавать по больше производительности чем vesa)

на intel драйвера в xorg.conf. Тормозит скролинг и перемещение окон по экрану, при запуске любого видео файла, иксы намертво зависают(на нажатие ctrl+alt+F1..F6 не реагируют), повторюсь опять же, на vesa всё работало

X Server 1.7.7

xf86-video-intel-2.15.0

mesa обновил mesa через git сейчас установлена 7.1.1-4

DRM libdrm 2.4.21-1~squeeze3

VA Libva 1.0.1-3

uname -r
2.6.38-bpo.2-686-bigmem

lshw -c video
  *-display               
       description: VGA compatible controller
       product: Sandy Bridge Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:43 memory:f0000000-f03fffff memory:e0000000-efffffff ioport:6000(size=64)

Одна из подозрительных строчек configuration: driver=i915 latency=0 по идее должен быть i965 ?!

а вот vainfo выдаёт следующие

vainfo
libva: libva version 0.32.0
libva: va_getDriverName() returns 0
libva: Trying to open /usr/lib/dri/i965_drv_video.so
libva error: /usr/lib/dri/i965_drv_video.so has no function __vaDriverInit_0_32
libva: va_openDriver() returns -1
vaInitialize failed with error code -1 (unknown libva error),exit
но даже когда он выдавал что всё ок, также не работало

xorg.conf


Section "Module"
	Load  "record"
	Load  "extmod"
	Load  "dri"
	Load  "dri2"
	Load  "glx"
	Load  "dbe"
	Load  "freetype"
EndSection

Section "ServerFlags"
	Option	"DontZap"	"off"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "LG Display"
	ModelName    "LP125WH2-SLB1"
	# 1368x768 59.88 Hz (CVT) hsync: 47.79 kHz; pclk: 85.25 MHz
	Modeline "1368x768_60.00"   85.25  1368 1440 1576 1784  768 771 781 798 -hsync +vsync
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
        ### [arg]: arg optional
        Option      "AccelMethod"		"UXA"
        Option	    "DRI"			"True"
	Option	    "DRI2"			"True"
        Option      "Tiling"             	"False"
        Option      "XvMC"               	"True"
	Identifier  "Card0"
	Driver      "intel"
	VendorName  "Intel Corporation"
	BoardName   "Sandy Bridge Integrated Graphics Controller"
	BusID       "PCI:0:2:0"
EndSection

Section "DRI"
	Mode 0660
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Card0"
	Monitor    "Monitor0"
	SubSection "Display"
		Viewport   0 0
		Depth      24
	EndSubSection
EndSection

Дистрибутив какой?
Зачем ставить дрова откуда-то, если можно поставить из репозитория?
Всё-таки уточните версию месы, а то 7.1 родом из 2008 года, когда про Intel HD3000 и не слыхали.

vitruss ★★★ ()

X Server 1.7.7

с разморозкой. ищите 1.10.х или 1.11.0

ZuBB ★★★★★ ()

нужно .39 ядро (как минимум) и mesa 7.11

xorg.conf не нужен

madgnu ★★★★★ ()

еще такое

x11-drivers/xf86-input-evdev

и такое

vv@crusader ~ $ zgrep -i evdev /proc/config.gz 
CONFIG_INPUT_EVDEV=y
vv@crusader ~ $
ZuBB ★★★★★ ()
Ответ на: комментарий от unanimous

Ну тут возможны варианты, например, для SLED 11 тоже есть драйверы.

madgnu ★★★★★ ()

У меня такая же карта. Обновите дрова, иксы, ядро и мезу до Wheezy-вских версий.

Deleted ()
Ответ на: комментарий от madgnu

Наглое 4.2, на 38 и мезе 7.10 все работало.

Deleted ()

Я решил эту проблему добавив репозиторий backports и обновиви систему из этого репозитория, обновление до wheezy добавило глюков некоторых, а так пока не замечал.

deb http://backports.debian.org/debian-backports squeeze-backports main contrib non-free apt-get -t squeeze-backports dist-upgrade

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.